Index: src/uk/me/parabola/imgfmt/app/map/MapReader.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/map/MapReader.java	(revision 3025)
+++ src/uk/me/parabola/imgfmt/app/map/MapReader.java	(working copy)
@@ -208,4 +208,9 @@
 	public int getEncodingType(){
 		return lblFile.getEncodingType();
 	}
+	
+	public boolean getTransparentFlag(){
+		return treFile.getTransparentFlag(); 
+	}
+	
 }
Index: src/uk/me/parabola/imgfmt/app/trergn/TREFileReader.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/trergn/TREFileReader.java	(revision 3025)
+++ src/uk/me/parabola/imgfmt/app/trergn/TREFileReader.java	(working copy)
@@ -230,4 +230,9 @@
 		}
 		return msgs.toArray(new String[msgs.size()]);
 	}
+	
+	public boolean getTransparentFlag(){
+		return header.getTransparentFlag(); 
+	}
+	
 }
\ No newline at end of file
Index: src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java	(revision 3025)
+++ src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java	(working copy)
@@ -394,4 +394,8 @@
 	public Section getCopyrightSection() {
 		return copyright;
 	}
+	
+	public boolean getTransparentFlag(){
+		return (poiDisplayFlags & POI_FLAG_TRANSPARENT) != 0; 
+	}
 }
Index: src/uk/me/parabola/mkgmap/combiners/OverviewBuilder.java
===================================================================
--- src/uk/me/parabola/mkgmap/combiners/OverviewBuilder.java	(revision 3025)
+++ src/uk/me/parabola/mkgmap/combiners/OverviewBuilder.java	(working copy)
@@ -31,6 +31,7 @@
 import uk.me.parabola.imgfmt.app.trergn.Point;
 import uk.me.parabola.imgfmt.app.trergn.Polygon;
 import uk.me.parabola.imgfmt.app.trergn.Polyline;
+import uk.me.parabola.imgfmt.app.trergn.TREHeader;
 import uk.me.parabola.imgfmt.app.trergn.Zoom;
 import uk.me.parabola.log.Logger;
 import uk.me.parabola.mkgmap.CommandArgs;
@@ -61,6 +62,7 @@
 	private Integer encodingType;
 	private List<String[]> copyrightMsgs = new ArrayList<String[]>();
 	private List<String[]> licenseInfos = new ArrayList<String[]>();
+	private Boolean transparent;
 
 
 	public OverviewBuilder(OverviewMap overviewSource) {
@@ -128,6 +130,9 @@
 			if (encodingType != null){
 				map.getLblFile().setEncoder(encodingType, codepage);
 			}
+			if (transparent != null && transparent){
+				map.getTreFile().addPoiDisplayFlags((byte) TREHeader.POI_FLAG_TRANSPARENT);
+			}
 			mb.makeMap(map, overviewSource);
 			map.close();
 		} catch (FileExistsException e) {
@@ -161,9 +166,15 @@
 				encodingType = mapReader.getEncodingType();
 			} 
 			if (encodingType != mapReader.getEncodingType()){
-				System.err.println("WARNING: input file " + filename + " has different charset type " + encodingType);
+				System.err.println("WARNING: input file " + filename + " has different charset type " + mapReader.getEncodingType());
 			}
 
+			if (transparent == null){
+				transparent = mapReader.getTransparentFlag();
+			}
+			if (transparent != mapReader.getTransparentFlag()){
+				System.err.println("WARNING: input file " + filename + " has different transparent flag " + mapReader.getTransparentFlag());
+			}
 			String[] msgs = mapReader.getCopyrights();
 			boolean found = false;
 			for (String[] block : copyrightMsgs) {
